package fi.ar.formplugin;


import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.dataentity.entity.DynamicObjectCollection;
import kd.bos.entity.datamodel.events.ChangeData;
import kd.bos.entity.datamodel.events.PropertyChangedArgs;
import kd.bos.entity.report.ReportQueryParam;
import kd.bos.form.FormShowParameter;
import kd.bos.form.cardentry.CardEntry;
import kd.bos.form.plugin.AbstractFormPlugin;
import kd.bos.orm.query.QCP;
import kd.bos.orm.query.QFilter;
import kd.bos.report.plugin.AbstractReportFormPlugin;
import kd.bos.servicehelper.BusinessDataServiceHelper;
import kd.sdk.plugin.Plugin;

import java.time.LocalDate;
import java.util.EventObject;

/**
 * @author cjz
 * @date 2024/10/11 17:26
 * @description:跳转后报表初始化参数
 */
public class AcctagerptPlugin extends AbstractReportFormPlugin implements Plugin {

    @Override
    public void afterCreateNewData(EventObject e) {
        super.afterCreateNewData(e);
        // 获取自定义参数
        FormShowParameter formShowParameter = this.getView().getFormShowParameter();
        Object flag = formShowParameter.getCustomParam("flag");
        if (("1").equals(flag)) {
            Object qAsstacttype = formShowParameter.getCustomParam("q_asstacttype");
            if (!("").equals(qAsstacttype)) {
                this.getModel().setValue("q_asstacttype",qAsstacttype);
            }
        }
    }


    @Override
    public void afterBindData(EventObject e) {
        super.afterBindData(e);
    }
}
